#
# spec file for package python-zodbpickle
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zodbpickle
Version:        0.6.0
Release:        lp151.2.5
Summary:        Fork of Python 3 pickle module
License:        Python-2.0 and ZPL-2.1
Group:          Development/Libraries/Python
Url:            https://pypi.python.org/pypi/zodbpickle
Source:         https://files.pythonhosted.org/packages/source/z/zodbpickle/zodbpickle-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-testsuite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
This package presents a uniform pickling interface for ZODB:
 * Under Python2, this package forks both Python 2.7’s pickle and
   cPickle modules, adding support for the protocol 3 opcodes.
   It also provides a new subclass of bytes, zodbpickle.binary,
   which Python2 applications can use to pickle binary values such
   that they will be unpickled as bytes under Py3k.
 * Under Py3k, this package forks the pickle module (and the
   supporting C extension) from both Python 3.2 and Python 3.3.
   The fork add support for the noload operations used by ZODB.

%prep
%setup -q -n zodbpickle-%{version}
rm -rf src/zodbpickle.egg-info

%build
%python_build

%install
%python_install
%{python_expand find %{buildroot}%{$python_sitearch} -name *.c -delete
  %fdupes -s %{buildroot}%{$python_sitearch}
}

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root)
%doc CHANGES.rst LICENSE.txt README.rst
%{python_sitearch}/*

%changelog
* Tue Jun 27 2017 aloisio@gmx.com
- Initial package (v. 0.6.0)
